package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Agent_report;
import com.realnet.vpspack.Services.Agent_reportService ;
























@RequestMapping(value = "/Agent_report")
 @CrossOrigin("*") 
@RestController
public class Agent_reportController {
	@Autowired
	private Agent_reportService Service;

@Value("${projectPath}")
	private String projectPath;
 
























	@PostMapping("/Agent_report")
		  public Agent_report Savedata(@RequestBody Agent_report data) {
		Agent_report save = Service.Savedata(data)	;























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Agent_report/{id}")
	public  Agent_report update(@RequestBody Agent_report data,@PathVariable Integer id ) {
		Agent_report update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Agent_report/getall/page")
	public Page<Agent_report> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Agent_report> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Agent_report")
	public List<Agent_report> getdetails() {
		 List<Agent_report> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Agent_report")
	public List<Agent_report> getallwioutsec() {
		 List<Agent_report> get = Service.getdetails();		
		return get;
}
@GetMapping("/Agent_report/{id}")
	public  Agent_report  getdetailsbyId(@PathVariable Integer id ) {
		Agent_report  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Agent_report/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

























}